# LonlatProjection

#### new Cesium.LonlatProjection(ellipsoid)
MapGIS/Project/LonlatProjection.js 20

本投影变换区别于`GeographicProjection`的关键在于加入了GCJ-02的坐标转换

Name | Type | Default | Description
--- | --- | --- | ---
`ellipsoid` | Ellipsoid | `Ellipsoid.WGS84` | optional 默认采取WGS椭球.

Author:
  - 基础平台-潘卓然

### Members

#### readonly ellipsoid : Ellipsoid
MapGIS/Project/LonlatProjection.js 35

获取椭球 `Ellipsoid`.

### Methods

#### project(cartographic, result) → Cartesian3
MapGIS/Project/LonlatProjection.js 52

Converts geodetic ellipsoid coordinates, in radians, to the equivalent Web Mercator X, Y, Z coordinates expressed in meters and returned in a `Cartesian3`. The height is copied unmodified to the Z coordinate.

Name | Type | Description
--- | --- | ---
`cartographic` | Cartographic | The cartographic coordinates in radians.
`result` | Cartesian3 | optional The instance to which to copy the result, or undefined if a new instance should be created.

##### Returns:

The equivalent web mercator X, Y, Z coordinates, in meters.

#### unproject(cartesian, result) → Cartographic
MapGIS/Project/LonlatProjection.js 82

Converts Web Mercator X, Y coordinates, expressed in meters, to a `Cartographic` containing geodetic ellipsoid coordinates. The Z coordinate is copied unmodified to the height.

Name | Type | Description
--- | --- | ---
`cartesian` | Cartesian3 | The web mercator Cartesian position to unrproject with height (z) in meters.
`result` | Cartographic | optional The instance to which to copy the result, or undefined if a new instance should be created.

##### Returns:

The equivalent cartographic coordinates.